/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import AnyOfstringnumber from './AnyOfstringnumber';
import SellReason from './SellReason';

/**
 * The Stats model module.
 * @module model/Stats
 * @version 2021.12-dev21
 */
class Stats {
    /**
     * Constructs a new <code>Stats</code>.
     * @alias module:model/Stats
     * @param sellReasons {Object.<String, module:model/SellReason>} 
     * @param durations {Object.<String, module:model/AnyOfstringnumber>} 
     */
    constructor(sellReasons, durations) { 
        
        Stats.initialize(this, sellReasons, durations);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, sellReasons, durations) { 
        obj['sell_reasons'] = sellReasons;
        obj['durations'] = durations;
    }

    /**
     * Constructs a <code>Stats</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/Stats} obj Optional instance to populate.
     * @return {module:model/Stats} The populated <code>Stats</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new Stats();

            if (data.hasOwnProperty('sell_reasons')) {
                obj['sell_reasons'] = ApiClient.convertToType(data['sell_reasons'], {'String': SellReason});
            }
            if (data.hasOwnProperty('durations')) {
                obj['durations'] = ApiClient.convertToType(data['durations'], {'String': AnyOfstringnumber});
            }
        }
        return obj;
    }


}

/**
 * @member {Object.<String, module:model/SellReason>} sell_reasons
 */
Stats.prototype['sell_reasons'] = undefined;

/**
 * @member {Object.<String, module:model/AnyOfstringnumber>} durations
 */
Stats.prototype['durations'] = undefined;






export default Stats;

